Card
Get a card top-up or withdrawal
GET
merchantApiKeymerchantTimestampmerchantNoncemerchantSignatureheader
X-API-KEY<token>Merchant API key (starts with upk_, also accepts api-key); signing headers are also required
header
X-Timestamp<token>Unix timestamp in seconds, within 300 seconds of server time
header
X-Nonce<token>Unique per request; cannot be reused with the same credential during the timestamp validity window
header
X-Signature<token>Hex HMAC-SHA256 signature (either letter case) of the method, full path, timestamp, nonce and body digest
fundingId*stringTop-up or withdrawal
application/json- response
id*stringTop-up / withdrawal ID (starts with cfd_)
card_id*string|nulltype*stringtop_up or withdraw
Value in
"top_up""withdraw"order_no*stringYour order number
amount*stringAmount moved into or out of the card
fee*stringFee; charged on top of a top-up, deducted from the returned amount for a withdrawal
currency*stringstatus*CardFundingStatuspending: accepted, being processed by the issuersucceeded: succeeded and bookedfailed: failed, seefailure_reason; a held top-up amount has been released
Value in
"pending""succeeded""failed"failure_reason*string|nullcreated_at*stringFormat
date-timeupdated_at*stringFormat
date-timecurl -X GET 'https://sandbox.getupp.net/api/v1/card-fundings/string'Example Response
{ "id": "string", "card_id": "string", "type": "top_up", "order_no": "string", "amount": "string", "fee": "string", "currency": "string", "status": "pending", "failure_reason": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}